package xyz.zhouxy.plusone.exception.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import xyz.zhouxy.plusone.constant.ErrorCodeConsts;
import xyz.zhouxy.plusone.exception.handler.BaseExceptionHandler.ExceptionInfoHolder;

@Configuration
public class PlusoneExceptionHandlerConfig {

    @Bean
    @ConditionalOnMissingBean
    ExceptionInfoHolder exceptionInfoHolder() {
        return new ExceptionInfoHolder(ErrorCodeConsts.DEFAULT_ERROR_CODE);
    }
}
