package xyz.zhouxy.plusone.validator;

import org.springframework.web.bind.annotation.RestControllerAdvice;

import xyz.zhouxy.plusone.constant.ErrorCodeConsts;
import xyz.zhouxy.plusone.exception.handler.BaseExceptionHandler;

@RestControllerAdvice
public class InvalidInputExceptionHandler extends BaseExceptionHandler {

    protected InvalidInputExceptionHandler() {
        super(new ExceptionInfoHolder(ErrorCodeConsts.DEFAULT_ERROR_CODE));
        set(InvalidInputException.class, InvalidInputException.ERROR_CODE, "无效的用户输入");
    }
}
